
QGIS Application - Bug report #11537

QGIS crashes on various operations

2014-11-03 11:01 PM - Piotr Synowiec

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.6.0 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 19807

Description

QGIS crashes on various operations.

At the beginning it was after running python scripts through Script Runner plugin (ver 2.0.1).

I tried also running previous version (2.4) project file by opening it and saving as new version (2.6).

QGIS crashed when I delete a layer and tried to save project file after.

I can reproduce these crashes in case any log files are needed.

Related issues:

Related to QGIS Application - Bug report # 11592: Failure to write the projec... Closed 2014-11-07

History

#1 - 2014-11-04 12:20 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

yes please, add details on how to replicate, log files, terminal messages, whatever it can help track down the issue.

#2 - 2014-11-04 04:07 AM - Piotr Synowiec

- File QGIS_2014-11-04-141505_MBP15P.crash added

Crash log after the operation:

1. open project from version 2.4

2. save project to the new version

3. delete one layer

4. click on save icon to save project

#3 - 2014-11-04 04:10 AM - Giovanni Manghi

- Category changed from Build/Install to Project Loading/Saving

#4 - 2014-11-04 04:11 AM - Giovanni Manghi

- Target version changed from Version 2.6 to Version 2.8

#5 - 2014-11-04 05:28 AM - Giovanni Manghi

- Status changed from Feedback to Open
see also #11546

#6 - 2014-11-04 06:22 AM - Giovanni Manghi

- Status changed from Open to Feedback

Piotr Synowiec wrote:

Crash log after the operation:

1. open project from version 2.4

2. save project to the new version

3. delete one layer

4. click on save icon to save project

cannot replicate here on Windows and Linux, can you attach a sample project (and data) that would allow to replicate the issue?

#7 - 2014-11-04 07:22 AM - Giovanni Manghi

let's try ruling out 3rd party python plugins: disable/remove them, restart qgis and try again.

#8 - 2014-11-04 03:34 PM - Piotr Synowiec

1. Uninstalled all plugins from QGIS using Plugin->Manage & Install Plugins... that were in /Users/piotr/.qgis2/ folder.

2. Switched off the other plugins.

3. QGIS seems to work, works normally and do not crash on things that did before

4. Installed ScriptRunner and run scripts - script works and no crash

Question : shall I update all other plugins that are located in /Applications/QGIS-2.6.app ?

#9 - 2014-11-05 01:07 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

so let's assume it was a faulty plugin the cause. Please reopen if evidence shows that it was really a qgis issue.

Question : shall I update all other plugins that are located in /Applications/QGIS-2.6.app ?

I don't know Mac, just Linux and Windows, so I'm not sure what there is in /Applications/QGIS-2.6.app

anyway 3rd party plugins are always placed in .qgis2/

#10 - 2014-11-05 01:10 AM - Piotr Synowiec

worked whole day and no crash
Files

QGIS_2014-11-04-141505_MBP15P.crash 103 KB 2014-11-04 Piotr Synowiec
